koffice-trinity (1:1.6.3-7ubuntu9) karmic; urgency=low

  * Karmic upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 30 Oct 2009 15:27:00 -0600

koffice (1:1.6.3-7ubuntu6) jaunty; urgency=low

  * Fixed koffice-data.install:
    - Removed kross RestrictedPython entries, those shouldn't be installed
    - Fixes FTBFS
  * Removed now useless koffice-data.lintian

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 12 Apr 2009 21:37:55 +0200

koffice (1:1.6.3-7ubuntu5) jaunty; urgency=low

  * Rebuild with new cdbs, don't add gettext domain to .desktop files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Apr 2009 19:47:25 +0100

koffice (1:1.6.3-7ubuntu4) jaunty; urgency=low

  * Stop building KDE 3 API documentation (kdelibs4-doc is history)
    - In debian/rules: Set DEB_KDE_APIDOX := no
    - In debian/control: Drop Build-Depends-Indep for doxygen and kdelibs4-doc

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 Feb 2009 11:59:16 -0500

koffice (1:1.6.3-7ubuntu3) jaunty; urgency=low

  * Rebuild without aRts support, LP: #320915.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 19 Feb 2009 17:22:41 +0100

koffice (1:1.6.3-7ubuntu2) jaunty; urgency=low

  * Update patch thesaurustooldesktop.diff to apply correctly after
    01_koffice_branch_data_r829216.diff which also patches
    tools/thesaurus/thesaurustool.desktop; fixes build failure.

 -- Loic Minier <lool@dooz.org>  Sat, 20 Dec 2008 18:47:59 +0100

koffice (1:1.6.3-7ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes:
    - add an icon for kthesaurus
    - debian/{control,control.in}: drop graphicsmagick from Build-Depends field
    - debian/{control,control.in}: modify Build-Depends field to match upstream
      removal of -1 revision for ruby and addition of libpoppler-qt-dev
    - chalk.install: add libchalkmagickexport.*
    - Remove kcontrol depends from kformula
    - Don't recommend or depend on kghostview
    - Remove recommends on libkscan1
	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Nov 2008 16:12:50 +0000

koffice (1:1.6.3-7) unstable; urgency=low

  * Pull branch of data, update desktop files, to r829216.
  * Update litian overrides.
  * Update section in doc-base files.
  * Remove Isaac from Uploaders, thank you for your work!
  * Replace Suggests on tetex-base with texlive-base.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 07 Jul 2008 23:33:10 +0200

koffice (1:1.6.3-6ubuntu3) intrepid; urgency=low

  * Don't recommend or depend on kghostview (not available anymore). Note that
    this will cause a crash as described in Debian bug 439364. (LP: #273881)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 25 Sep 2008 18:37:04 +0200

koffice (1:1.6.3-6ubuntu2) intrepid; urgency=low

  * Remove recommends on libkscan1 (not available in KDE 4 anymore)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 06 Sep 2008 02:32:24 +0200

koffice (1:1.6.3-6ubuntu1) intrepid; urgency=low

  [ Devid Filoni ]
  * Merge from Debian unstable (LP: #240721). Remaining Ubuntu changes:
    - add an icon for kthesaurus
    - debian/{control,control.in}: drop graphicsmagick from Build-Depends field
    - debian/{control,control.in}: modify Build-Depends field to match upstream
      removal of -1 revision for ruby and addition of libpoppler-qt-dev
    - chalk.install: add libchalkmagickexport.*
  * Bump Standards-Version to 3.8.0.

  [ Jonathan Riddell ]
  * Remove kcontrol depends from kformula
	
 -- Devid Filoni <d.filoni@techemail.com>  Sat, 07 Jun 2008 12:07:31 +0200

koffice (1:1.6.3-6) unstable; urgency=low

  * Fix FTBFS when --enable-final is not used with g++ 4.3.  (Closes: #484770)
  * Update 31_fix_bashisms.diff to fix another bashism. (Closes: #480603)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 06 Jun 2008 20:54:15 +0200

koffice (1:1.6.3-5ubuntu3) intrepid; urgency=low

  * Add debian/kthesaurus.xpm icon (LP: #225179):
    - add icon field in debian/kthesaurus.menu
    - add debian/kthesaurus.xpm in debian/kthesaurus.install to install
      the icon in usr/share/pixmaps
    - add debian/patches/thesaurustooldesktop.diff patch

 -- Devid Filoni <d.filoni@techemail.com>  Sun, 25 May 2008 10:09:02 +0200

koffice (1:1.6.3-5ubuntu2) intrepid; urgency=low

  * Remove build-dep on graphicsmagick

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 May 2008 02:13:30 +0100

koffice (1:1.6.3-5ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - changed build depends in debian/control and control.in 
      to match upstream removal of -1 revision for ruby and addition of libpoppler-qt-dev
    - libchalkmagickexport.* added to chalk.install by upstream
    (LP #226281)

 -- Richard Birnie <Arbyuk@googlemail.com>  Thu, 01 May 2008 02:03:13 +0100

koffice (1:1.6.3-5) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update to Standards-Version 3.7.3:
    - Replace Source-Version for proper variables.
  * Add Homepage field.
  * Remove build depends on -1 revision for ruby.
  * Add copyright notice in copyright file.
  * Update lintian overrides.
  * Fix bashisms, patch 31_fix_bashisms.diff. (Closes: #465001)
  * Update to build with GCC 4.3, patch 26_gcc4.3.diff.
    (Closes: #441549)
  * Add build depend on libpoppler-qt-dev.
  * Update installed files and add not-installed.list with the explanation
    of why we are not shipping some files.

  +++ Changes by Raúl Sánchez Siles:

  * Make sure help is available. Raising koffice-doc-html and khelpcenter 
    to Recommends.
  * Add Vcs-Svn and Vcs-Browser fields.

  +++ Changes by Matthew Rosewarne:

  * Add Depends: kghostview to koffice-libs for print preview. 
    (Closes: #439364)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 14 Mar 2008 01:26:33 +0100

koffice (1:1.6.3-4ubuntu7) hardy; urgency=low

  * SECURITY UPDATE: arbitrary code execution via malicious embedded fonts.
  * debian/patches/40_pdf2-embedded-font-fixes.diff: stronger type-checking
    added.
  * References
    CVE-2008-1693

 -- Kees Cook <kees@ubuntu.com>  Tue, 15 Apr 2008 14:04:47 -0700

koffice (1:1.6.3-4ubuntu6) hardy; urgency=low

  * Fix overwrite issue, make koffice-libs conflict/replace koshell

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Mar 2008 20:27:29 +0000

koffice (1:1.6.3-4ubuntu5) hardy; urgency=low

  * Merge selected changes from Debian:
   - Fix bashisms, patch 31_fix_bashisms.diff. (Closes: #465001)
   - Update to build with GCC 4.3, patch 26_gcc4.3.diff.
   - Add Depends: kghostview to koffice-libs for print preview. 
  * koffice-dev replaces/conflicts old chalk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2008 19:37:52 +0000

koffice (1:1.6.3-4ubuntu4) hardy; urgency=low

  * Rebuild for libopenexr transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Dec 2007 13:56:20 +0000

koffice (1:1.6.3-4ubuntu3) hardy; urgency=low

  * Rebuild for libpqxx transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Dec 2007 14:48:28 +0000

koffice (1:1.6.3-4ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:10:18 +0000

koffice (1:1.6.3-4ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - Don't build-dep on libgraphicsmagick1-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:39:07 +0000

koffice (1:1.6.3-4) unstable; urgency=low

  * Patch to multiple xpdf based vulnerabilities. (Closes: #450631)
    CVE-2007-4352, CVE-2007-5392, CVE-2007-5393.
  * Fix kword.menu section. (Closes: #445038)
  * Add Suggestion on kexi-mdb-plugin for kexi. (Closes: #439307)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 11 Nov 2007 21:13:36 +0100

koffice (1:1.6.3-3) unstable; urgency=high

  * Patch for stack-based buffer overflow in the StreamPredictor::getNextLine
    function in xpd that might allow remote attackers to execute arbitrary code
    via a crafted PDF file. CVE-2007-504. (Closes: #444014)
  * Update section in Debian menu files. 
  * Install kexi example /usr/share/apps/kexi/examples/Simple_Database.kexi
  * Install libchalk*.{la,so} files to allow build external plugins. 
    (Closes: #443673)
  * Add not-installed.list file to keep track of not installed files.
  * Add a missing dependency on kcontrol to kformula, in order to provide the
    fonts kioslave. Thanks to Eike Hein for reporting.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Sep 2007 23:29:24 +0200

koffice (1:1.6.3-2) unstable; urgency=high

  * Implement uploaders.mk and update control.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Patch for vulnerability in xpdf that can cause a stack based buffer
    overflow via a PDF file that exploits an integer overflow in
    StreamPredictor::StreamPredictor(). CVE-2007-3387
  * debian/copyright file: GFDL text removed and replaced by a 
    link to common-licenses.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 30 Jul 2007 23:08:23 +0200

koffice (1:1.6.3-1) unstable; urgency=low
 
  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * New upstream release.
  * Update Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 08 Jun 2007 13:15:22 +0100

koffice (1:1.6.3-0ubuntu5) gutsy; urgency=low

  * Rebuild for the libpoppler1 -> libpopper2 transistion.
  * Munge Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu,  6 Sep 2007 01:09:50 +1000

koffice (1:1.6.3-0ubuntu4) gutsy; urgency=low

  * Add build-dep on libpqxx-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Aug 2007 15:21:21 +0100

koffice (1:1.6.3-0ubuntu3) gutsy; urgency=low

  * SECURITY UPDATE: xpdf buffer overflow
    kpdf, the KDE pdf viewer, shares code with xpdf. xpdf contains
    a vulnerability that can cause a stack based buffer overflow
    via a PDF file that exploits an integer overflow in
    StreamPredictor::StreamPredictor().
  * Add kubuntu_01_xpdf-CVE-2007-3387.diff
    fixes input data check in kpdf/xpdf/xpdf/Stream.cc
  * References
    http://www.kde.org/info/security/advisory-20070730-1.txt
    CVE-2007-3387

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2007 17:00:06 +0100

koffice (1:1.6.3-0ubuntu2) gutsy; urgency=low

  * Add build-dep on libpoppler-qt-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Jun 2007 00:56:01 +0100

koffice (1:1.6.3-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * Build-dep on libexif-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Jun 2007 12:38:57 +0100

koffice (1:1.6.2-1ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining changes:
   - don't build-dep on libpqxx-dev or graphicsmagick, in universe

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 May 2007 18:41:40 +0100

koffice (1:1.6.2-1) unstable; urgency=low

  * New upstream release
  * Added dcraw in chalk's Recommends, closes: #393634
  * No longer recommend unexistant package openoffice.org-mimelnk,
    closes: #376919
  * Upstream branch pull, including fixes to have kexi building against
    the new libpqxx, closes: #420477
  * Updated *.install and *.docs to reflect new Chalk plugins, .desktop files
    moved to /usr/share/applications/kde/ and other small changes

 -- Isaac Clerencia <isaac@debian.org>  Wed, 28 Feb 2007 08:30:28 +0100

koffice (1:1.6.1-2) unstable; urgency=low

  * Fix crash when writing an URL in kword, closes: #406590 

 -- Isaac Clerencia <isaac@debian.org>  Fri, 12 Jan 2007 09:27:16 +0100

koffice (1:1.6.1-1) unstable; urgency=low

  * New upstream release
  * Remove no longer needed patches (integrated into upstream)

 -- Isaac Clerencia <isaac@debian.org>  Tue, 28 Nov 2006 08:33:22 +0100

koffice (1:1.6.2-0ubuntu1) feisty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Feb 2007 11:55:03 +0000

koffice (1:1.6.1-0ubuntu3) feisty; urgency=low

  * SECURITY UPDATE: kpdf/kword/xpdf denial of service vulnerability
  * kpdf, the KDE pdf viewer, shares code with xpdf. xpdf contains
    a vulnerability that can cause denial of service (infinite loop)
    via a PDF file that contains a crafted catalog dictionary
    or a crafted Pages attribute that references an invalid page
    tree node.
  * Add kubuntu_07_xpdf_vulnerability.diff
  * References:
    http://www.kde.org/info/security/advisory-20070115-1.txt
    CVE-2007-0104

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Jan 2007 19:24:24 +0000

koffice (1:1.6.1-0ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Jan 2007 16:26:43 +0000

koffice (1:1.6.1-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Add build-depends on libexif-dev, libpoppler-qt-dev
  * Remove 13_chalk_fill_tablet.diff, 15_chalk_tablet_stylus.diff 
    and 17_chalk_color_range_crash.diff applied upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Nov 2006 13:29:51 +0000

koffice (1:1.6.0-3ubuntu1) feisty; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Nov 2006 22:48:27 +0000

koffice (1:1.6.0-3) unstable; urgency=high

  * Urgency high as it fixes several severe bugs (one critical, two ones only
    reported upstream)
  * Fix "Chalk keeps producing windows when using Text tool with a
    tablet stylus", closes: #395868
  * Fix crash in "select => color range" (kde bug 135148)
  * Fix "using the fill tool with the tablet makes chalk eat memory"
    (kde bug 133148)

 -- Isaac Clerencia <isaac@debian.org>  Sat, 28 Oct 2006 15:58:11 +0200

koffice (1:1.6.0-2) unstable; urgency=high

  * Urgency high, as it closes RC bug present in testing
  * No longer ship ICC profiles with unknown licensing and load
    by default the public domain one which is provided now, closes: #394788

 -- Isaac Clerencia <isaac@debian.org>  Mon, 23 Oct 2006 08:15:13 +0200

koffice (1:1.6.0-1) experimental; urgency=low

  * New upstream release
  * kformula no longer needs latex-xft-fonts, closes: #385892
  * Use graphicsmagick instead of imagemagick

 -- Isaac Clerencia <isaac@debian.org>  Sun,  8 Oct 2006 14:31:56 +0200

koffice (1:1.5.2-2) unstable; urgency=high

  * Urgency high as the package has been already in sid for 16 days, there are
    no changes on it and it fixes an RC bug in testing
  * Rebuild with updated debian-qt-kde.mk which doesn't --enable-final for
    ARM and m68k, so it doesn't hogs the buildds for these arches.

 -- Isaac Clerencia <isaac@debian.org>  Thu,  3 Aug 2006 08:17:15 +0200

koffice (1:1.5.2-1) unstable; urgency=low

  * New upstream release,
   closes: #367059, chalk: renders colors incorrectly on ppc 
   closes: #354804: chalk: TIFF and PNG exports don't work with a CMYK image
  * koffice-dev: add kexi in Depends: and some missing .la files required for
    keximdb plugin

 -- Isaac Clerencia <isaac@debian.org>  Mon,  3 Jul 2006 21:05:26 +0200

koffice (1:1.5.2-0ubuntu2) edgy; urgency=low

  * Remove build-dep on libpqxx-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Jul 2006 15:30:41 +0000

koffice (1:1.5.2-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Jul 2006 16:50:05 +0000

koffice (1:1.5.1-1ubuntu1) edgy; urgency=low

  * Sync with Debian
  * Add debian/patches/common/kubuntu_01_kdepot.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  6 Jul 2006 13:19:53 +0000

koffice (1:1.5.1-1) unstable; urgency=low

  * New upstream release
  * Bumped Standard-Version to 3.7.2, no changes required
  * Build-Depend on libexif-dev (>= 0.6.13)
  * Tighten apps dependency on koffice-libs (<< ${KDE-Next-Version3}),
    closes: #366298
  * Add three patches from usptream SVN, including one to not include
    KDXMLTools.h from public headers, which closes: #330470

 -- Isaac Clerencia <isaac@debian.org>  Mon, 22 May 2006 08:20:38 +0200

koffice (1:1.5.0-1) unstable; urgency=low

  * New upstream release

 -- Isaac Clerencia <isaac@debian.org>  Thu,  6 Apr 2006 09:04:19 +0200

koffice (1:1.4.99-1) unstable; urgency=low

  * New upstream release candidate

 -- Isaac Clerencia <isaac@debian.org>  Wed, 29 Mar 2006 12:03:05 +0200

koffice (1:1.5.0-0ubuntu9) dapper; urgency=low

  * SECURITY UPDATE: Potential arbitrary code execution.
  * Add debian/patches/kubuntu_07_xpdf_vulnerability.diff:
    - xpdf/JBIG2Stream.cc, xpdf/Stream.h, splash/SplashXPathScanner.cc: Fix
      various integer overflows.
    - Upstream patch from Derek Noonburg.
  * CVE-2006-1244

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 May 2006 10:43:01 +0100

koffice (1:1.5.0-0ubuntu8) dapper; urgency=low

  * debian/cdbs/kde.mk:
    - added dh_iconcache.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sun, 21 May 2006 16:44:35 +0200

koffice (1:1.5.0-0ubuntu7) dapper; urgency=low

  * Add kubuntu_04_num_locale.patch (backport from 1.5.1) to fix numeric 
    values breaking file compatibility with OpenOffice.org (Malone #43887)
  * Add kubuntu_05_kword_skim.patch (backport from 1.5.1) to fix skim
    input method in KWord (Malone #39753)
  * Add kubuntu_06_kword_accent.patch (backport from 1.5.1) to fix accent
    characters in KWord (Malone #41718)

 -- Luka Renko <lure.net@gmail.com>  Wed, 10 May 2006 00:39:21 +0200

koffice (1:1.5.0-0ubuntu6) dapper; urgency=low

  * Chalk conflicts with old koffice-list, closes Malone #41717

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  4 May 2006 01:17:34 +0100

koffice (1:1.5.0-0ubuntu5) dapper; urgency=low

  * Add missing .so and .la files from koffice-dev.install 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 29 Apr 2006 15:05:09 +0100

koffice (1:1.5.0-0ubuntu4) dapper; urgency=low

  * Remove dependency from koffice on kplato, kplato not yet
    ready for main
  * Add places on koffice-dev for libkexi-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Apr 2006 10:25:27 +0100

koffice (1:1.5.0-0ubuntu3) dapper; urgency=low

  * Don't build-dep on Postgres libraries (in universe)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Apr 2006 09:49:14 +0000

koffice (1:1.5.0-0ubuntu2) dapper; urgency=low

  * Ubuntu upload 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Apr 2006 21:38:53 +0000

koffice (1:1.5.0-0ubuntu1.1) dapper; urgency=low

  * Security update, add kubuntu_03_xpdf_vulnerability.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 16 Apr 2006 09:56:38 +0000

koffice (1:1.5.0-0ubuntu1) dapper; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  7 Apr 2006 13:11:34 +0000

koffice (1:1.4.99-0ubuntu1) dapper; urgency=low

  * New upstream pre-release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 24 Mar 2006 12:15:39 +0000

koffice (1:1.4.95-1ubuntu1) dapper; urgency=low

  * Dapper build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Mar 2006 17:31:05 +0000

koffice (1:1.4.95-1) experimental; urgency=low

  * Ship libkeximigrate.{so,la} in koffice-dev (required to build keximdb
    driver)

  * Split chalk, kword and kpresenter in arch dep and indep packages, as
    all of them are >~ 5Mb and half of their files are arch indep

  * Add 30_libkexif.diff patch to detect correctly libexif >= 0.6.13

 -- Isaac Clerencia <isaac@debian.org>  Fri,  3 Feb 2006 22:15:14 +0100

koffice (1:1.4.90.2-1) experimental; urgency=low

  * New upstream SVN pull (r504797), fixes graphical artifact in kword and
    kpresenter and a crash when closing a document in kpresenter

  * Don't provide x-raw.desktop as it's already provided by digikam 

 -- Isaac Clerencia <isaac@debian.org>  Wed,  1 Feb 2006 09:04:59 +0100

koffice (1:1.4.90.1-1) experimental; urgency=low

  * New upstream beta release + SVN pull

  *** Changes by Luk Claes:

  * Fix typo in koconverter.1 (Closes: #350351)

 -- Isaac Clerencia <isaac@debian.org>  Tue, 17 Jan 2006 09:31:32 +0100

koffice (1:1.4.2-7) unstable; urgency=medium

  *** Changes by Christopher Martin:

  * Delete koffice-data's dependency on koffice-libs, eliminating a circular
    dependency. (Closes: #342900)

  * Loosen dependencies on -data packages slightly, ensuring that everything
    remains installable after a binNMU. (Closes: #347694)

  * Bump DH_COMPAT to 5. No changes required.

  * Add koffice-dbg, to help track down problems.

  * Remove Chalk from the Office submenu, since it's more appropriate in
    Graphics. Also remove it from KHelpCenter, since it has no documentation
    accessible there. (Closes: #339969)

  * Split kthesaurus into its own package. (Closes: #334496)

  * Revamp koffice-dev, to include all development files. It now depends on
    most of koffice, however.

  * Add koffice-doc package, containing the koffice API documentation.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 14 Jan 2006 11:51:09 -0500

koffice (1:1.4.2-6) unstable; urgency=high
  
  * Urgency high because of security fix
  * Yet another branch pull (up to r497174) to fix security bug #342294,
    this should take care definitely of the following CVE IDs:
        CVE-2005-3191 CVE-2005-3193 CVE-2005-3624 CVE-2005-3625
        CVE-2005-3626 CVE-2005-3627 CVE-2005-3628
  * Build with gcc-4.0 in every arch, closes: #342993

 -- Isaac Clerencia <isaac@debian.org>  Mon, 19 Dec 2005 16:10:27 +0100

koffice (1:1.4.2-5) unstable; urgency=low

  * koffice branch pull, adding missing bit to completely fix #342294.

 -- Isaac Clerencia <isaac@debian.org>  Wed, 14 Dec 2005 09:59:38 +0100

koffice (1:1.4.2-4) unstable; urgency=low

  * koffice branch pull, fixes security bug in included xpdf code,
    closes: #342294
  * set LIBWV_LIBS directly to -lwv2 instead of relying on wv2-config --libs,
    it removes superflous Depends: libgsf in kword, closes: #342888

 -- Isaac Clerencia <isaac@debian.org>  Mon, 12 Dec 2005 11:55:03 +0100

koffice (1:1.4.2-3) unstable; urgency=low

  +++ Changes by Isaac Clerencia:

  * Move packaging to CDBS
  * Branch pull, fixes FTBFS, closes: #337478
  * Include libkdchart.so and libkdchart.la in kchart package,
    closes: #334363
  * Fix Chalk description in debian/control
  * Update copyright (new maintainers, new Chalk developer)
  * Build against libwv2 built against the new libgsf, closes: #338832
  * Rebuild against kdelibs4c2a

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 11 Nov 2005 11:22:00 +0100

koffice (1:1.4.2-2) unstable; urgency=low

  * Added missing Replaces: kpresenter in koffice-libs
  * Added chalk.mime and added OpenDocument to kword.mime
  
 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 13 Oct 2005 19:40:23 +0200

koffice (1:1.4.2-1) unstable; urgency=low

  * New upstream release

  +++ Changes by Isaac Clerencia:

  * Added myself to uploaders
  * Added chalk (new application in koffice)
  * Updated menu icons from new upstream icons
  * Removed xpdf (and other) no longer useful patches
  * Removed b-d on sharutils (no longer needed)
  * Removed b-d on postgresql-dev (not needed according to upstream developers)
  * Changed b-d on python2.3-dev to python-dev
  * Added libwpd8-dev to b-d for kword WordPerfect filter

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 12 Oct 2005 17:07:53 +0200

koffice (1:1.3.5-5) unstable; urgency=high

  * Security upload.
  * Fixes RTF import buffer overflow (CAN-2005-2971, CESA-2005-005).  See
    http://www.kde.org/info/security/advisory-20051011-1.txt for details.
  * Acknowledge bugs closed by NMUs; thanks again to Luk Claes
    (closes: #327977, #317208, #330532, #322163, #327396, #287164).
  * Updated FSF address in copyright file.
  * Removed obsolete kderemove tags from debian menu files.
  * Changed to group maintenance by the Debian Qt/KDE group.

 -- Ben Burton <bab@debian.org>  Wed, 12 Oct 2005 19:00:54 +1000

koffice (1:1.3.5-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-dep on g++-3.4 on arm, hppa and m68k to work around ICE.

 -- Luk Claes <luk@debian.org>  Thu,  6 Oct 2005 18:48:22 +0200

koffice (1:1.3.5-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update libmagick++6-dev build dep to libmagick++9-dev.

 -- Luk Claes <luk@debian.org>  Thu,  6 Oct 2005 12:56:01 +0200

koffice (1:1.3.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuilt for the Qt/KDE transition
    (closes: #327977, #317208, #330532, #322163).
  * Patch to fix compilation (closes: #327396, #287164).

 -- Luk Claes <luk@debian.org>  Mon,  3 Oct 2005 18:02:10 +0200

koffice (1:1.3.5-4) unstable; urgency=high

  * Fixed kpresenter templates for screen presentations (closes: #305989).
    Broken tarball templates are now replaced by unbroken XML templates.
    Since this requires patching binary files, a build-depends on sharutils
    (for uudecode) has been added.
  * Applied upstream patch so that kspread no longer ignores currency
    specification in cell formatting (closes: #301943).

 -- Ben Burton <bab@debian.org>  Mon, 25 Apr 2005 23:08:18 +1000

koffice (1:1.3.5-3) unstable; urgency=low

  * Included the full GFDL text in debian/copyright, since all of the docbook
    documentation is under this license.
  * Removed the build-depends on libmysqlclient-dev, which is no longer
    necessary.

 -- Ben Burton <bab@debian.org>  Sat, 26 Mar 2005 10:47:17 +1100

koffice (1:1.3.5-2) unstable; urgency=high

  * Yet another xpdf security fix.  This time a buffer overflow has been
    fixed relating to an invalid key length (closes: #291245).  See the
    following URLs for further information:
    - http://www.koffice.org/security/advisory-20050120-1.txt
    - http://www.kde.org/info/security/advisory-20050120-1.txt
    References: CAN-2005-0064, DSA-648
  * Added CAN and DSA reference numbers to the previous changelog entry
    for easier tracking.

 -- Ben Burton <bab@debian.org>  Sat, 22 Jan 2005 01:48:18 +1100

koffice (1:1.3.5-1) unstable; urgency=high

  * New upstream bugfix release.
  * More xpdf security fixes.  A new integer overflow vulnerability in
    KWord's PDF import filter has been fixed (as a patch on top of the
    upstream 1.3.5 release).  See the following URLs for further information:
    - http://kde.org/areas/koffice/security/2004_xpdf_integer_overflow_2.php
    - http://kde.org/info/security/advisory-20041223-1.txt
    References: CAN-2004-1125, DSA-619
  * Added README.MimeType to most binary packages to explain how to fix
    the missing MimeType error by running kbuildsycoca (closes: #288950).

 -- Ben Burton <bab@debian.org>  Mon, 17 Jan 2005 20:57:22 +1100

koffice (1:1.3.4-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Modified the xpdf security fixes from 1.3.3-3 to use a more robust style
    of testing that does not depend upon the level of compiler optimisation
    (thanks to Martin Schulze).

 -- Ben Burton <bab@debian.org>  Wed, 27 Oct 2004 20:27:33 +1000

koffice (1:1.3.3-3) unstable; urgency=critical

  * Security upload.
  * Fixes integer overflows in KWord's PDF import filter.  This patch forms
    part of the KDE security advisory (2004-10-21, CAN-2004-0888) relating to
    vulnerabilities inherited from the xpdf code.

 -- Ben Burton <bab@debian.org>  Mon, 25 Oct 2004 20:11:56 +1000

koffice (1:1.3.3-2) unstable; urgency=medium

  * Tightened shlibs files, since the library interface has changed
    since 1.3.0 (closes: #268366).
  * Build-conflicts with autoconf2.13, since admin/Makefile.common does not
    operate correctly in its presence.

 -- Ben Burton <bab@debian.org>  Fri, 22 Oct 2004 08:04:16 +1000

koffice (1:1.3.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Build-depends on libpaper-dev for xpdf filters.
  * Made koffice suggest koffice-i18n (closes: #272754).  As of 1.3.3,
    all koffice-i18n-<lang> packages provide koffice-i18n accordingly.
  * Gnumeric export is fixed (closes: #200313).
  * Karbon no longer locks up when importing an EPS graphic containing
    %ALDBoundingBox (closes: #242454).

 -- Ben Burton <bab@debian.org>  Sun, 17 Oct 2004 19:19:03 +1000

koffice (1:1.3.2-2) unstable; urgency=medium

  * Rebuilt against libtiff4.
  * Build-depends on libtiff4-dev.

 -- Ben Burton <bab@debian.org>  Mon,  2 Aug 2004 10:09:55 +1000

koffice (1:1.3.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Split kivio out into kivio + kivio-data (closes: #233383).
  * Change conflicts + replaces to just replaces where appropriate.

 -- Ben Burton <bab@debian.org>  Sun, 11 Jul 2004 11:46:52 +1000

koffice (1:1.3.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Built against newer imagemagick (closes: #246623).
  * Made koffice-libs/kformula recommend/depend on latex-xft-fonts, which
    provides mathematical fonts that the formula editor can use.  Also
    patched the kformula part to make these fonts the default.
  * Changed kword menu hint from "WordProcessors" to "Word processors"
    (closes: #246209).
  * Spellchecker configuration is now fixed (closes: #221256, #227568).

 -- Ben Burton <bab@debian.org>  Sun,  9 May 2004 11:33:00 +1000

koffice (1:1.3.0-2) unstable; urgency=low

  * Built against KDE 3.2.
  * No longer installs mimetypes required for KDE 3.1 (closes: #236503).

 -- Ben Burton <bab@debian.org>  Sun,  7 Mar 2004 21:37:44 +1100

koffice (1:1.3.0-1) unstable; urgency=low

  * New upstream release (1.3-final).
  * No longer built against a broken imagemagick (closes: #226013).
  * Removed libqt3-compat-headers from the build-depends since these are
    no longer necessary.

 -- Ben Burton <bab@debian.org>  Thu, 29 Jan 2004 09:20:54 +1100

koffice (1:1.2.95-1) unstable; urgency=low

  * New upstream release (1.3-rc2).
  * Changed suggests openoffice.org-mimelnk to recommends now that OOo is in
    main.

 -- Ben Burton <bab@debian.org>  Sun, 21 Dec 2003 01:26:54 +1100

koffice (1:1.2.94-1) unstable; urgency=low

  * New upstream release (1.3-rc1).
  * Updated versions in shlibs files to >= 1:1.2.94 (closes: #209218).
  * Packages kword and kpresenter recommend libkscan1 (closes: #214584).
  * Patched admin/debianrules so koffice uses --enable-final by default.
  * Note that this release contains a workaround for the crash upon
    File -> Save As.

 -- Ben Burton <bab@debian.org>  Sat,  1 Nov 2003 10:55:47 +1100

koffice (1:1.2.93-1) unstable; urgency=low

  * New upstream release (1.3-beta4).
  * Build-depends on sufficiently new libwv2-dev (>= 0.1.9-0).
  * Chalk is no longer built.
  * Removed kontour/chalk paragraph from package descriptions since we
    no longer have chalk (closes: #212314).
  * Bumped standards-version to 3.6.1.

 -- Ben Burton <bab@debian.org>  Mon, 29 Sep 2003 10:57:45 +1000

koffice (1:1.2.92-2) unstable; urgency=low

  * Until we have openoffice.org mimelnk files in main, downgrade this
    recommends to a suggests (closes: #211417).

 -- Ben Burton <bab@debian.org>  Mon, 22 Sep 2003 02:12:28 +1000

koffice (1:1.2.92-1) unstable; urgency=low

  * New upstream release (1.3-beta3).
  * Builds under gcc-3.3 (closes: #204784).
  * Kivio uses python2.3 instead of python2.2.
  * Kivio now ships with documentation (closes: #168354).
  * Bumped standards-version to 3.6.0.

 -- Ben Burton <bab@debian.org>  Wed, 13 Aug 2003 11:02:26 +1000

koffice (1:1.2.91-1) unstable; urgency=low

  * New upstream release (1.3-beta2).
  * Fixed install of libkarbonaiimport (closes: #197441).

 -- Ben Burton <bab@debian.org>  Tue, 17 Jun 2003 10:05:06 +1000

koffice (1:1.2.90-20030609-1) unstable; urgency=low

  * Fresh CVS pull (between releases 1.3-beta1 and 1.3-beta2).
  * New binary package chalk.
  * Binary package kontour no longer exists (closes: #140345, #191517).
  * Split koffice-libs into koffice-libs and koffice-data.
  * Moved import/export filters into app-specific packages where possible.
  * Build-Depends on new package libwv2-dev.
  * Build-Conflicts with python2.3-dev to ensure we build against python2.2.
  * Debian menu pixmaps no longer use a restricted colour map.
  * Karbon no longer crashes with shift/ctrl dragging (closes: #189056).
  * Karbon fixed on big-endian machines (closes: #189735).
  * Kivio group/ungroup no longer loses connectedness (closes: #110009).
  * Kivio zoom toolbar no longer vanishes (closes: #123011).
  * Kivio splash screen removed (closes: #123091).
  * Kivio documents can now be safely embedded in kword (closes: #144611).
  * KPresenter image printing improved (closes: #81770).
  * KPresenter now handles transparent images correctly (closes: #184598).
  * KWord HTML export is no longer white-on-white (closes: #184421).
  * Support for openoffice imports/exports (closes: #188779).
  * Libtool updated (closes: #194303).
  * Thanks to James Greenhalgh for helping start this build.

 -- Ben Burton <bab@debian.org>  Sun,  8 Jun 2003 12:01:13 +1000

koffice (1:1.2.1-5) unstable; urgency=low

  * Built against libvorbis0a (closes: #184722).
  * Removed special hppa and alpha compile flags.

 -- Ben Burton <bab@debian.org>  Sun, 16 Mar 2003 16:00:19 +1100

koffice (1:1.2.1-4) unstable; urgency=low

  * Build-depends on libqt3-compat-headers (closes: #181768).
  * Fixed mime entries which were missing %s (closes: #181989).

 -- Ben Burton <bab@debian.org>  Sat, 22 Feb 2003 16:20:39 +1100

koffice (1:1.2.1-3) unstable; urgency=low

  * Don't exit immediately if we're using automake1.7 (closes: #180923).
  * Alter admin/debianrules to reflect relocated Qt headers (closes: #181626).
  * Make koffice-libs suggest tetex-extra for LaTeX exports (closes: #181408).

 -- Ben Burton <bab@debian.org>  Thu, 20 Feb 2003 09:30:37 +1100

koffice (1:1.2.1-2) unstable; urgency=low

  * First KDE3 upload to debian (closes: #162433).
  * KSpread printing improved (closes: #106472).
  * Tables no longer crash kword (closes: #111356).
  * Better import filters for kword (closes: #113347, #143480, #148986).
  * Search/replace in kword no longer causes infinite loop (closes: #113872).
  * KWord frame breaks work in multi-column mode (closes: #114538).
  * View footer no longer segfaults kword (closes: #115741).
  * SUM() and sum() now the same in kspread (closes: #122578).
  * Better import filters for kpresenter (closes: #129080, #129188).
  * Kontour no longer supports embedded formulae (closes: #130715).
  * Pasting text into kspread no longer appends garbage (closes: #132055).
  * Better import filters for kspread (closes: #132562, #145281).
  * KChart no longer segfaults when editing data (closes: #135983).
  * KSpread no longer crashes on numeric overflow (closes: #136277).
  * White text being edited is visible in kpresenter (closes: #136858).
  * PDF output from kword improved (closes: #137085, #144450).
  * KPresenter no longer crashes from right mouse clicks (closes: #137389).
  * Images now included when copying and pasting pages between kpresenter
    instances (closes: #138048).
  * Change angle in kspread undoes properly (closes: #138224).
  * Custom delimiters in kspread text imports now work (closes: #139478).
  * KWord treats tabs correctly for justified paragraphs (closes: #139525).
  * Save and search use different key bindings in kpresenter (closes: #141664).
  * Fixed kpresenter manpage directory (closes: #156343).

 -- Ben Burton <bab@debian.org>  Sun,  2 Feb 2003 19:40:16 +1100

koffice (1:1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Wed,  4 Dec 2002 15:32:53 +1100

koffice (1:1.2.0-2) unstable; urgency=low

  * Built with g++-3.2.
  * Moved *.la files into koffice-dev.
  * Moved to Chris Cheney's style of debian/rules.

 -- Ben Burton <bab@debian.org>  Mon, 23 Sep 2002 22:18:01 +1000

koffice (1:1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Build-depends on libasound2-dev and libxslt1-dev.
  * Changed build-depends from python2.1-dev to python2.2-dev.

 -- Ben Burton <benb@acm.org>  Sat,  7 Sep 2002 23:38:34 +1000

koffice (1:1.2-rc1-1) unstable; urgency=low

  * New upstream release.
  * Package koffice-libs suggests wordnet.

 -- Ben Burton <benb@acm.org>  Thu, 15 Aug 2002 15:29:27 +1000

koffice (1:1.2-beta2-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <benb@acm.org>  Fri,  5 Jul 2002 12:34:36 +1000

koffice (1:1.1.1-7) unstable; urgency=low

  * Fixed documentation conflicts (closes: Bug#140688).
  * Demo files are all once zipped with no .gz extension (closes: Bug#136288).

 -- Ben Burton <benb@acm.org>  Mon,  1 Apr 2002 15:17:58 +1000

koffice (1:1.1.1-6) unstable; urgency=low

  * Incorporated new KOFFICE_1_1_BRANCH patches.

 -- Ben Burton <benb@acm.org>  Sat, 23 Feb 2002 16:12:37 +1100

koffice (1:1.1.1-5) unstable; urgency=low

  * Include demo kword/kspread files in binary packages (closes: Bug#132627).

 -- Ben Burton <benb@acm.org>  Sun, 17 Feb 2002 18:08:59 +1100

koffice (1:1.1.1-4) unstable; urgency=low

  * And rebuilt with libpng2 (closes: Bug#128584, Bug#129866).

 -- Ben Burton <benb@acm.org>  Sun, 20 Jan 2002 21:03:28 +1100

koffice (1:1.1.1-3) unstable; urgency=low

  * Added patches for hppa (closes: Bug#126554).
  * Rebuilt with libpng3 (closes: Bug#126890).

 -- Ben Burton <benb@acm.org>  Sun, 30 Dec 2001 09:01:47 +1000

koffice (1:1.1.1-2) unstable; urgency=low

  * Split "wordprocessor" in description (closes: Bug#124855).
  * Minor manpage updates.

 -- Ben Burton <benb@acm.org>  Thu, 20 Dec 2001 20:16:52 +1000

koffice (1:1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends: libfam-dev.

 -- Ben Burton <benb@acm.org>  Sat, 15 Dec 2001 08:38:41 -0600

koffice (1:1.1.0-final-8) unstable; urgency=low

  * Compiles with -ffunction-sections for hppa (closes: Bug#123216).
  * Added conflicts for koffice-doc-html.

 -- Ben Burton <benb@acm.org>  Mon, 10 Dec 2001 10:50:29 -0600

koffice (1:1.1.0-final-7) unstable; urgency=low

  * Uses automake again to solve new alpha problems.
  * Build-Depends: Added python2.1-dev for kivio and removed redundant uic.

 -- Ben Burton <benb@acm.org>  Tue,  6 Nov 2001 23:51:27 -0600

koffice (1:1.1.0-final-6) unstable; urgency=low

  * Builds with automake 1.5.
  * koffice-libs recommends newer kghostview (closes: #114262, #114539).
  * HTML documentation generation only uses index.docbook files.
  * Installs .pl.1 man pages in the correct location (requires newer
    debhelper).

 -- Ben Burton <benb@acm.org>  Thu, 11 Oct 2001 18:44:09 -0500

koffice (1:1.1.0-final-5) unstable; urgency=low

  * Updated parameters for alpha build.

 -- Ben Burton <benb@acm.org>  Sun, 23 Sep 2001 23:07:01 -0500

koffice (1:1.1.0-final-4) unstable; urgency=low

  * objprelink: now you see it, now you don't (removed).

 -- Ben Burton <benb@acm.org>  Sun, 16 Sep 2001 12:22:33 -0500

koffice (1:1.1.0-final-3) unstable; urgency=low

  * Removed debugging output (closes: Bug#110900).

 -- Ben Burton <benb@acm.org>  Sun,  2 Sep 2001 00:24:59 -0500

koffice (1:1.1.0-final-2) unstable; urgency=low

  * Fixed doc-base entries to refer to real directories instead of symlinks
    (closes: Bug#110437).

 -- Ben Burton <benb@acm.org>  Tue, 28 Aug 2001 14:23:43 -0500

koffice (1:1.1.0-final-1) unstable; urgency=low

  * Final koffice 1.1 release.
  * Uses objprelink.

 -- Ben Burton <benb@acm.org>  Tue, 28 Aug 2001 07:56:35 -0500

koffice (1:1.1.0-1rc2-1) unstable; urgency=low

  * Renumbering 1.1-final as 1.1-rc2 since the release date has moved
    and further slight changes are taking place upstream.  Looks kludgy
    but it'll only be here a week. :)

 -- Ben Burton <benb@acm.org>  Thu, 23 Aug 2001 09:46:48 -0500

koffice (1:1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Added package koffice-doc-html.
  * Added suggests: konqueror to packages including docbook documentation.
  * Removed debconf warning for pre-1.1-final releases.
  * Moved quattropro and xfig mimetype desktop files from koffice-libs into
    kspread and kontour respectively.
  * Moved all svgexport/svgimport material from koffice-libs into kontour.
  * Upped standards-version to 3.5.6.
  * Cleaned up debian/rules.
  * Miscellaneous tidying up in debian/.

 -- Ben Burton <benb@acm.org>  Fri, 10 Aug 2001 20:29:10 +1000

koffice (1:1.1-rc1-1) unstable; urgency=low

  * New upstream release.
  * Renamed package killustrator to kontour.
  * Removed package krayon.
  * Rebuilt with newer admin files (closes: Bug#105209).
  * Added kdebase-dev to build-depends.
  * Builds on alpha.

 -- Ben Burton <benb@acm.org>  Tue, 31 Jul 2001 12:23:44 +1000

koffice (1:1.1-beta3-3) unstable; urgency=low

  * Added kivio stencils to copyright file (closes: Bug#103659).

 -- Ben Burton <benb@acm.org>  Mon,  9 Jul 2001 00:52:28 +1000

koffice (1:1.1-beta3-2) unstable; urgency=low

  * Build-Depends: Requires at least KDE 2.2.
  * kformula: Linked locolor icons to hicolor icons to satisfy KDE 2.2.
  * koffice-libs: Added Spanish template file (closes: Bug#103064).

 -- Ben Burton <benb@acm.org>  Mon,  2 Jul 2001 02:01:01 -0500

koffice (1:1.1-beta3-1) unstable; urgency=low

  * New upstream release (closes: #75750, #90686, #98370, #101017, #101951).
  * Pulled latest kugar docs from CVS.
  * Happy birthday to me! :)

 -- Ben Burton <benb@acm.org>  Thu, 28 Jun 2001 01:21:00 -0500

koffice (1:1.1-beta2-3) unstable; urgency=low

  * Added arm/m68k to the libtool linux arch list in the hope of closing
    #99475 (we'll see if it works).
  * Moved libqproimport and libxfigimport and associated files to
    packages kspread and killustrator respectively.

 -- Ben Burton <benb@acm.org>  Fri,  1 Jun 2001 18:29:27 -0500

koffice (1:1.1-beta2-2) unstable; urgency=low

  * Changed package koffice to Architecture: any to satisfy autobuilders.

 -- Ben Burton <benb@acm.org>  Fri,  1 Jun 2001 01:10:12 -0500

koffice (1:1.1-beta2-1) unstable; urgency=low

  * New upstream release (closes: Bug#95931, Bug#95317).
  * Cosmetic changes to a few man pages.

 -- Ben Burton <benb@acm.org>  Wed,  9 May 2001 12:05:35 -0500

koffice (1:1.1-beta1-2) unstable; urgency=low

  * Added HTML documentation (closes: Bug#95319).
  * koffice: Added missing Depends: kformula (closes: Bug#95362).
  * Fleshed out man pages.
  * Fixed the location of the kprconverter.pl man page.
  * KIllustrator wishlist items fulfilled (closes: Bug#75751).

 -- Ben Burton <benb@acm.org>  Mon, 30 Apr 2001 16:15:49 -0500

koffice (1:1.1-beta1-1) unstable; urgency=low

  * New upstream release.
  * Added package kformula.
  * Changed koffice-libs conflicts from << version-1 to << version-0 to
    avoid problems with potato packages.
  * Added koffice-libs conflicts to all application packages to avoid
    conflicts with man pages that were once undocumented links in
    koffice-libs.

 -- Ben Burton <benb@acm.org>  Mon, 23 Apr 2001 23:41:44 -0500

koffice (1:1.1-20010404-1) unstable; urgency=low

  * New upstream CVS pull (closes: Bug#77965).
  * Adopted by Ben Burton <benb@acm.org> (closes: Bug#89585).
  * Changed version number to reflect KOffice versions, not KDE versions.
  * Added packages koffice and kugar.
  * Build-Depends: Added uic; required version (>> 3.0.0) of debhelper;
    removed autoconf and gettext which are redundant.
  * For koffice-libs, added a version to Conflicts: koffice and
    Replaces: koffice.
  * For koffice-dev, replaced >= with = in Depends: koffice-libs.
  * Replaced individual application recommendations in koshell with a
    single Recommends: koffice.
  * Upgraded debian/rules to DH_COMPAT=3 and removed postinst scripts;
    completely reworked debian/rules.
  * Updated standards version to 3.5.2.
  * Added versioning to libraries in /usr/lib/.
  * Moved libcsv[export/import] and associated files from koffice-libs to
    kspread since they require kspread libraries.
  * Moved a few files in /usr/share/services from package koffice-libs to
    individual application packages.
  * Registered kword as capable of handling mime type application/x-abiword.
  * Made links so killustrator icons show up beneath /usr/share/icons/.
  * Instated a new debconf warning for koffice-libs.
  * Added various man pages.
  * Added icons to the debian menu items.
  * Changed the hint for the KWord debian menu item from "Word processors"
    to "WordProcessors" to match the hint for AbiWord.
  * Slightly altered which miscellaneous documentation files are installed.
  * Overhauled package descriptions.
  * Miscellaneous cleanups in debian.

 -- Ben Burton <benb@acm.org>  Fri,  6 Apr 2001 10:30:32 -0500

koffice (2.1-cvs20010323-1) unstable; urgency=low
 
  * New upstream CVS pull
  * Remove duplicate menu entry (Closes: #90298)
  * Minor build fixes
  * Change Maintainer to Debian QA
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 23 Mar 2001 02:30:00 -0700

koffice (2.1-cvs20010308-1) unstable; urgency=low
 
  * New upstream CVS pull
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 08 Mar 2001 09:40:00 -0700

koffice (2.1-cvs20010219-1) unstable; urgency=low
 
  * New upstream version
  * Upping standards version
  * Applying debconf i18n patch (Closes: #84263)
  * Changing section for kspread (Closes: #85892)
  * Fixes grid color (Closes: #76651)
  * Adding in dependency for debconf
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Feb 2001 06:00:00 -0700

koffice (2.1-beta2-0128-1) unstable; urgency=low
 
  * More upstream fixes
  * Applying Swedish debconf template translation (Closes: #83505)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 28 Jan 2001 01:45:00 -0700

koffice (2.1-beta2-1) unstable; urgency=low
 
  * Fixing Build-Depends
  * More upstream fixesNew upstream beta
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 23 Jan 2001 23:00:00 -0700

koffice (2.1-beta2-1) unstable; urgency=low
 
  * New upstream beta
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Jan 2001 06:00:00 -0700

koffice (2.1-20010115-1) unstable; urgency=low
 
  * more upstream fixes
  * This was already done (Closes: #82280)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Jan 2001 01:00:00 -0700

koffice (2.1-20010109-2) unstable; urgency=low
 
  * more upstream fixes
  * Adding in new menu hint (Closes: #80033)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 09 Jan 2001 10:30:00 -0700

koffice (2.1-20010109-1) unstable; urgency=low
 
  * more upstream fixes
  * Adding in new menu hint (Closes: #80033)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 09 Jan 2001 10:30:00 -0700

koffice (2.1-20010101-1) unstable; urgency=low
 
  * more upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Jan 2001 17:00:00 -0700

koffice (2.1-20001218-1) unstable; urgency=low

  * more upstream fixes
  * Adding in missing conflicts for koffice and koffice-common
  * Adding in krayon
  * Adding in a debconf warning
  * Providing kivio now as it's part of koffice and not a seperate app
    any more.  Done so with permission from kivio's debian maintainer
    "Jaldhar H. Vyas" <jaldhar@debian.org>.
  * Adding new menu hints (Closes: #80023, #80025, #80156)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Dec 2000 14:30:00 -0700

koffice (2.0-20001013-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 14 Oct 2000 02:00:00 -0700

koffice (2.0-20001011-0) unstable; urgency=low
 
  * KDE 2.0 RC2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 12 Oct 2000 06:00:00 -0700

koffice (2.0-20001006-2) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Oct 2000 07:00:00 -0700      

koffice (2.0-20001006-0) unstable; urgency=low
 
  * More upstream fixes
  * Compiling against new libqt
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 06 Oct 2000 04:00:00 -0700

koffice (2.0-20001005-0) unstable; urgency=low
 
  * More upstream fixes
  * Compiling against non-versioned kdelibs once again
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 15:30:00 -0700

koffice (2.0-20001002-0) unstable; urgency=low
 
  * KDE 2.0 RC1
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 02 Oct 2000 01:30:00 -0700

koffice (2.0-20000925-0) unstable; urgency=low
 
  * More upstream fixes
  * More Build-Depends fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 25 Sep 2000 15:30:00 -0700

koffice (2.0-20000920-2) unstable; urgency=low
 
  * Fixing build-depends dockboook problem
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 21 Sep 2000 19:45:00 -0700

koffice (2.0-20000920-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 20 Sep 2000 23:00:00 -0700

koffice (2.0-20000918-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 22:00:00 -0700

koffice (2.0-20000912-0) unstable; urgency=low
 
  * More upstream fixes
  * mimetype fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 12 Sep 2000 04:00:00 -0700

koffice (2.0-20000911-0) unstable; urgency=low
 
  * More upstream fixes
  * Fixing duplicate file issue with README
  * Fixing replacement of old koffice package
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 11 Sep 2000 04:00:00 -0700

koffice (2.0-20000909-0) unstable; urgency=low

  * More upstream fixes
  * Compiled against new qt2.2
  * Breaking up into individual packages

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 09 Sep 2000 04:00:00 -0700

koffice (2.0-20000827-0) experimental; urgency=low
 
  * More upstream fixes
  * Merging package fixes with upstream cvs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 27 Aug 2000 19:30:00 -0700

koffice (2.0-20000825-1.0) experimental; urgency=low
 
  * KDE 2.0 beta 4
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 25 Aug 2000 22:30:00 -0700

koffice (2.0-20000821-1.0) experimental; urgency=low
 
  * New upstream CVS fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 21 Aug 2000 22:45:00 -0700

koffice-cvs (2.0-20000521-1.0) experimental; urgency=low
 
  * more upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 21 May 2000 04:15:00 -0700

koffice-cvs (2.0-20000512-1.2) experimental; urgency=low

  * new upstream beta version
  * Turning on debugging

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 12 May 2000 22:30:00 -0700

koffice-cvs (2.0-20000308-1.0) experimental; urgency=low
 
  * new CVS version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Mar 2000 22:30:00 -0700

koffice-cvs (2.0-20000306-1.1) experimental; urgency=low
 
  * new CVS version
  * Adding in shlibs file to take care of self depends
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 06 Mar 2000 22:30:00 -0700

koffice-cvs (2.0-20000302-1.0) experimental; urgency=low

  * new CVS version
  * Adding in build-depends
  * Fixing problem with depending on the -dev package

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Mar 2000 22:00:00 -0700

koffice-cvs (2.0-19990930-1) experimental; urgency=low

  * new CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 30 Sep 1999 22:45:06 -0400

koffice-cvs (2.0-19990912-1) experimental; urgency=low

  * new CVS version
  * Rebuild post/pre scripts to follow debian policy
  * Finishes migration to /usr/share/doc

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 12 Sep 1999 19:30:06 -0400

koffice-cvs (2.0-19990820-1) experimental; urgency=low

  * new CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 20 Aug 1999 13:15:06 -0400

koffice-cvs (2.0-19990715-1) experimental; urgency=low

  * new version

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 15 Jul 1999 18:15:06 -0400

koffice-cvs (2.0-19990626-1) experimental; urgency=low

  * new version

 -- Stephan Kulow <coolo@kde.org>  Sat, 26 Jun 1999 22:24:06 +0200

koffice-cvs (2.0-19990620-1) experimental; urgency=low

  * Seperated out the development libraries into their own package
    to comply with Debian packaging
  * more build cleanup.  

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Jun 1999 08:30:29 -0400

koffice-cvs (2.0-19990612-1) experimental; urgency=low

  * Initial release

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 12 Jun 1999 03:00:29 -0400

Local variables:
mode: debian-changelog
End:

